@font-face {
  font-family: 'poppins';
  src: url(../font/Poppins-Regular.ttf) format('truetype');
}

@font-face {
  font-family: 'poppins extra';
  src: url(../font/Poppins-ExtraBold.ttf) format('truetype');
}

@font-face {
  font-family: 'poppins medium';
  src: url(../font/Poppins-Medium.ttf) format('truetype');
}

* {
  padding: 0px;
  margin: 0px;
  box-sizing: border-box;
}

body {
  font-family: 'poppins';
  overflow-x: hidden;
  background-color: #ffff;
}

::-webkit-scrollbar {
  width: 10px;
  background-color: #fef9e1;
  display: none;
}

::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background-color: #e5d0ac;
}

a {
  text-decoration: none;
}

.container-satu {
  width: 100%;
  height: 120px;
  display: flex;
  align-items: center;
  background-color: #fff57e;
  flex-direction: row;
}

.container-satu .logo,
.container-satu .tentang {
  width: 30%;
  height: 60%;
  display: flex;
  justify-content: start;
  align-items: center;
  flex-direction: row;
  gap: 1rem;
  margin: 3rem;
  font-size: 1rem;
}

.container-satu .tentang {
  justify-content: end;
  font-weight: bold;
  color: #1b6752;
}

.container-satu .tentang a {
  text-decoration: none;
  color: #279777;
}

.container-satu .logo img {
  height: 100%;
}

.container-satu .berita {
  width: 40%;
  height: 60%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin: 3rem;
}

.container-satu .berita h4 {
  font-size: 2rem;
  font-family: 'poppins extra';
  font-weight: bold;
  text-align: center;
  width: 100%;
  color: #1b6752;
}

.container-satu .berita span {
  width: 100%;
  margin-top: 0px;
  height: 4px;
  background-color: #1b6752;
}

/* section */
section {
  width: 100%;
  background-color: #fef9e1;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  box-sizing: border-box;
  gap: 1rem;
  padding: 4rem 1.7rem;
  padding-bottom: 0.5rem;
  align-items: center;
  justify-content: center;
}

section a {
  width: 23%;
  height: 500px;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  text-decoration: none;
}

section a:hover img {
  transform: scale(1.2);
}

section a .cover {
  overflow: hidden;
  background-color: red;
}

section a .cover img {
  transition: transform 0.5s ease;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

section a .subjudul h3,
section a .subjudul h4,
section a .subjudul p {
  padding: 0.4rem;
  align-items: justify;
  color: black;
}

section a .subjudul h3 {
  color: #1b6752;
}

footer {
  width: 100%;
  height: 25rem;
  background-color: #fff57e;
  padding: 10px 8px;
  display: flex;
  align-items: center;
  justify-content: start;
  flex-direction: column;
  box-sizing: border-box;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  font-size: clamp(0.65rem, 2vw, 1rem);
}

footer .logo {
  width: 100%;
  height: 13%;
  display: flex;
  margin-bottom: 2rem;
  flex-direction: row;
}

footer .logo img {
  height: 100%;
  margin-right: 0.8rem;
}

footer h3 {
  font-size: clamp(1rem, 2.8vw, 1.2rem);
}

footer a,
footer p,
footer li {
  font-size: clamp(0.8rem, 2vw, 0.95rem);
}

footer hr {
  width: 100%;
  border-bottom: 2px solid black;
  margin-bottom: 1rem;
}

footer .bawah {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
}

footer .kiri {
  width: 60%;
  height: 100%;
  display: flex;
  flex-direction: row;
  gap: 5rem;
}

footer .kiri .alamat,
footer .kiri .kontak {
  width: 35%;
}

footer .kiri .kontak ul {
  list-style-type: none;
}

footer .kiri .kontak a {
  text-decoration: none;
  color: #1b6752;
}

footer .kanan {
  width: 40%;
  height: 100%;
  display: flex;
  flex-direction: column;
}

footer .kanan ul {
  width: 50%;
  display: flex;
  flex-direction: row;
  list-style-type: none;
  gap: 10px;
}

footer .kanan ul li {
  width: 60%;
}

footer .kanan ul li img {
  width: 100%;
}

@media screen and (min-width: 577px) and (max-width: 1024px) {
  /* ===== HEADER / CONTAINER SATU ===== */
  .container-satu {
    height: 100px;
  }

  .container-satu .logo,
  .container-satu .tentang {
    width: 40%;
    height: 55%;
    margin: 2rem;
    gap: 0.8rem;
  }

  .container-satu .berita {
    width: 30%;
    height: 55%;
    margin: 1rem;
  }

  .container-satu .logo .judul h4,
  .container-satu .tentang {
    font-size: 0.7rem;
  }

  .container-satu .berita h4 {
    font-size: 1rem;
  }

  /* ===== SECTION ===== */
  section {
    padding: 3rem 1.5rem;
    gap: 0.9rem;
  }

  section a {
    width: 30%;
    height: 420px;
  }

  section a .subjudul h3 {
    font-size: 1rem;
  }

  section a .subjudul h4 {
    font-size: 0.9rem;
  }

  section a .subjudul p {
    font-size: 0.85rem;
  }

  /* ===== FOOTER ===== */
  footer {
    height: auto;
    padding: 15px 20px;
  }

  footer .logo {
    height: 55px; /* DIPERKECIL */
    align-items: center;
  }

  footer .logo img {
    height: 100%;
  }

  footer .logo .judul h4 {
    font-size: 0.85rem;
    line-height: 1.1rem;
  }

  footer .bawah {
    align-items: flex-start;
  }

  footer .kiri {
    width: 60%;
    gap: 3rem;
  }

  footer .kanan {
    width: 40%;
  }

  footer .kanan ul {
    width: 80%;
  }
}

@media screen and (max-width: 576px) {
  .container-satu {
    height: 70px;
  }

  .container-satu .logo,
  .container-satu .tentang {
    width: 35%;
    height: 45%;
    margin: 1rem;
    gap: 0.4rem;
  }

  .container-satu .berita {
    width: 40%;
    height: 45%;
    margin: 1rem;
  }

  .container-satu .logo img {
    height: 80%;
  }

  .container-satu .logo .judul h4,
  .container-satu .tentang {
    font-size: 0.35rem;
  }

  .container-satu .berita h4 {
    font-size: 0.65rem;
  }

  .container-satu .berita span {
    height: 2px;
  }

  /* ===== SECTION ===== */
  section {
    padding: 2rem 1rem;
    gap: 0.7rem;
  }

  section a {
    width: 48%;
    height: 300px;
  }

  section a .subjudul h3 {
    font-size: 0.8rem;
  }

  section a .subjudul p {
    font-size: 0.65rem;
  }

  footer {
    height: auto;
  }

  footer .logo {
    height: 55px;
    width: 100%;
    margin-bottom: 0.5rem;
    align-items: center;
  }

  footer .logo img {
    height: 70%;
  }

  footer .logo .judul h4 {
    font-size: 0.85rem;
    line-height: 1.1rem;
  }

  footer .bawah {
    align-items: flex-start;
  }

  footer .kiri {
    width: 60%;
    gap: 3rem;
  }

  footer .kanan {
    width: 45%;
  }

  footer .kanan ul {
    width: 85%;
  }
}
